Subject: [PATCH 1/2] ARM: simplify timer initialisation and remove arm_timer.h inclusion

From: [email-masked] (Sudeep Holla)
Date: Thu, 30 Apr 2015 15:19:01 +0100

On 30/04/15 15:09, Rob Herring wrote:
> On Thu, Apr 30, 2015 at 5:44 AM, Sudeep Holla <[email-masked]> wrote:
>> The header asm/hardware/arm_timer.h is included in various machine
>> specific files to access TIMER_CTRL and initialise to a known state.
>> However that's not required as the clock{source,event} driver timer-sp
>> initialises all the timer being used.
>
> I believe the idea is not to initialize the timers being used, but the
> ones not being used and perhaps left running by the bootloader. Cases
> where the interrupt is shared could cause a problem.
>

Ah OK, makes sense. I will wait for Russell to confirm. The main idea
was to keep the header file having offsets local to driver/clocksource
and avoid sharing it in include/linux but looks like that's not possible.

Regards,
Sudeep